The Spring Framework

## org.springframework.scheduling.timer
Class DelegatingTimerTask

    java.lang.Object
      java.util.TimerTask
          org.springframework.scheduling.timer.DelegatingTimerTask

All Implemented Interfaces:
  Runnable

    public class DelegatingTimerTask

extends TimerTask

Simple `TimerTask` adapter that delegates to a given `Runnable`.

This is often preferable to deriving from TimerTask, to be able to implement an interface rather than extend an abstract base class.

Since:
  1.2.4
Author:
  Juergen Hoeller

Constructor Summary
`DelegatingTimerTask(Runnable delegate)` Create a new DelegatingTimerTask.

Method Summary
`Runnable` `getDelegate()` Return the wrapped Runnable implementation.
`void` `run()` Delegates execution to the underlying Runnable, catching any exception or error thrown in order to continue scheduled execution.

Methods inherited from class java.util.TimerTask
`cancel, scheduledExecutionTime`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DelegatingTimerTask

    public DelegatingTimerTask(Runnable delegate)

  Create a new DelegatingTimerTask.

  Parameters:
    `delegate` - the Runnable implementation to delegate to

Method Detail

### getDelegate

    public final Runnable getDelegate()

  Return the wrapped Runnable implementation.

### run

    public void run()

  Delegates execution to the underlying Runnable, catching any exception or error thrown in order to continue scheduled execution.

  Specified by:
    `run` in interface `Runnable`
  Specified by:
    `run` in class `TimerTask`

The Spring Framework

Copyright © 2002-2008 The Spring Framework.